import request from '@/utils/request'

// 创建控制器类型
export function createControllerType(data) {
  return request({
    url: '/product/controller-type/create',
    method: 'post',
    data: data
  })
}

// 更新控制器类型
export function updateControllerType(data) {
  return request({
    url: '/product/controller-type/update',
    method: 'put',
    data: data
  })
}

// 删除控制器类型
export function deleteControllerType(id) {
  return request({
    url: '/product/controller-type/delete?id=' + id,
    method: 'delete'
  })
}

// 获得控制器类型
export function getControllerType(id) {
  return request({
    url: '/product/controller-type/get?id=' + id,
    method: 'get'
  })
}

// 获得控制器类型分页
export function getControllerTypePage(query) {
  return request({
    url: '/product/controller-type/page',
    method: 'get',
    params: query
  })
}

// 导出控制器类型 Excel
export function exportControllerTypeExcel(query) {
  return request({
    url: '/product/controller-type/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 获得控制器类型（选控制器时）
export function getControllerList(params) {
  return request({
    url: '/product/controller-type/getByBusinessInfoId',
    method: 'get',
    params,
  })
}
